From 3919d7454c070702e94b149e4032e9db08d28fa3 Mon Sep 17 00:00:00 2001
From: zhifu gao <zhifu.gzf@alibaba-inc.com>
Date: 星期一, 22 一月 2024 15:42:45 +0800
Subject: [PATCH] Funasr1.0 (#1279)

---
 runtime/run_server.sh |   40 ++++++++++++++++------------------------
 1 files changed, 16 insertions(+), 24 deletions(-)

diff --git a/runtime/run_server.sh b/runtime/run_server.sh
index 120193b..4e58464 100644
--- a/runtime/run_server.sh
+++ b/runtime/run_server.sh
@@ -2,36 +2,28 @@
 download_model_dir="/workspace/models"
 model_dir="damo/speech_paraformer-large_asr_nat-zh-cn-16k-common-vocab8404-onnx"
 vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
-punc_dir="damo/punc_ct-transformer_cn-en-common-vocab471067-large-onnx"
-itn_dir="thuduj12/fst_itn_zh"
-lm_dir="damo/speech_ngram_lm_zh-cn-ai-wesp-fst"
-decoder_thread_num=32
-model_thread_num=1
-io_thread_num=8
+punc_dir=""
+itn_dir=""
+lm_dir=""
 port=10095
 certfile="../../../ssl_key/server.crt"
 keyfile="../../../ssl_key/server.key"
 hotword="../../hotwords.txt"
+# set decoder_thread_num
+decoder_thread_num=$(cat /proc/cpuinfo | grep "processor"|wc -l) || { echo "Get cpuinfo failed. Set decoder_thread_num = 32"; decoder_thread_num=32; }
+decoder_thread_num=8
+multiple_io=16
+io_thread_num=$(( (decoder_thread_num + multiple_io - 1) / multiple_io ))
+model_thread_num=5
 
-. ../egs/aishell/transformer/utils/parse_options.sh || exit 1;
+. ./tools/utils/parse_options.sh || exit 1;
+
+if [ -z "$certfile" ] || [ "$certfile" = "0" ]; then
+  certfile=""
+  keyfile=""
+fi
 
 cd /workspace/FunASR/runtime/websocket/build/bin
-if [ -z "$certfile" ] || [ "$certfile" -eq 0 ]; then
-./funasr-wss-server  \
-  --download-model-dir "${download_model_dir}" \
-  --model-dir "${model_dir}" \
-  --vad-dir "${vad_dir}" \
-  --punc-dir "${punc_dir}" \
-  --itn-dir "${itn_dir}" \
-  --lm-dir "${lm_dir}" \
-  --decoder-thread-num ${decoder_thread_num} \
-  --io-thread-num  ${io_thread_num} \
-  --model-thread-num ${model_thread_num} \
-  --port ${port} \
-  --certfile  "" \
-  --keyfile "" \
-  --hotword "${hotword}"
-else
 ./funasr-wss-server  \
   --download-model-dir "${download_model_dir}" \
   --model-dir "${model_dir}" \
@@ -46,4 +38,4 @@
   --certfile  "${certfile}" \
   --keyfile "${keyfile}" \
   --hotword "${hotword}"
-fi
+

--
Gitblit v1.9.1